Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.velocity.runtime.parser.node
Class GetExecutor

    java.lang.Object
      |
      +--org.apache.velocity.runtime.parser.node.AbstractExecutor
            |
            +--org.apache.velocity.runtime.parser.node.GetExecutor

public class GetExecutor
extends AbstractExecutor

Executor that simply tries to execute a get(key) operation. This will try to find a get(key) method for any type of object, not just objects that implement the Map interface as was previously the case.

Version:
  $Id: GetExecutor.java,v 1.6 2001/10/22 03:53:25 jon Exp $
Author:
  Jason van Zyl

Field Summary
`private java.lang.Object[]` | `args` Container to hold the 'key' part of get(key).

Fields inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`method, rsvc`

Constructor Summary
`GetExecutor(RuntimeServices r, java.lang.Class c, java.lang.String key)` Default constructor.

Method Summary
`java.lang.Object` | `execute(java.lang.Object o, InternalContextAdapter context)` Execute method against context.

Methods inherited from class org.apache.velocity.runtime.parser.node.AbstractExecutor
`isAlive`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### args

    private java.lang.Object[] args

  Container to hold the 'key' part of get(key).

Constructor Detail

### GetExecutor

    public GetExecutor(RuntimeServices r,
                       java.lang.Class c,
                       java.lang.String key)
                throws java.lang.Exception

  Default constructor.

Method Detail

### execute

    public java.lang.Object execute(java.lang.Object o,
                                    InternalContextAdapter context)
                             throws java.lang.IllegalAccessException,
                                    MethodInvocationException

  Execute method against context.
  Overrides:
    `execute` in class `AbstractExecutor`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003 Apache Software Foundation. All Rights Reserved.